/*
 *	double
 *	pow10(arg, power)
 *	double		arg;
 *	int		power;
 *
 *	Returns arg * 10^power.
 */

double
pow10(arg, power)
double		arg;
register int	power;
{
	register int	i;

	if (power < 0) {
		while (++power <= 0)
			arg /= 10.0;
	}
	else {
		while (--power >= 0)
			arg *= 10.0;
	}
	return (arg);
}
